Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 28 Jan 2017 18:42:53 -0700
From:      Kyle Amon <amonk@gnutec.ca>
To:        freebsd-questions@freebsd.org
Subject:   libressl -> firefox -> rust -> cargo
Message-ID:  <20170128184023.4f6665ba@claws-mail.sec.backwatcher.com>

Next in thread | Raw E-Mail | Index | Archive | Help
While rebuilding all my ports with LibreSSL on 11.0-RELEASE-p7, I hit this
error...

"
This crate is only compatible with OpenSSL 1.0.1, 1.0.2, and 1.1.0, but a
different version of OpenSSL was found:

    0x20000000L

The build is now aborting due to this version mismatch.
"

It comes from the cmake "crate" of cargo, which is a build dependency of
rust, which is a build dependency of firefox.

Any ideas on resolving this would be appreciated?  Unfortunately, it seems
pretty definitive about only supporting OpenSSL, and only specific versions.
Has no one else built firefox with libressl?  Maybe, but it does seem hard
to believe.

Thanks,

--Kyle

-- 

CA +1-778-819-UNIX | US +1-425-584-UNIX | SIPS amonk@gnutec.ca
INUM +883-5100-0990-1657 | ISN UNIX*1917 | C*NET 1-731-UNIX
www.gnutec.ca/~amonk | @supradix

GPG ed25519/94F9EEBEEBF8B74E [ed25519/EBF8B74E]
    726C E8AE 130D 1E51 2D42  7168 94F9 EEBE EBF8 B74E

OTR 7E577984 BA97B1DD FD292ABF F7B946B6 AFB1234A : xmpp amonk@gnutec.ca
    DC446975 0D1CC62D 092E633C 2E3D3D82 B4CE1C47 : irc freenode
    B4B825A3 086F0716 2CA55061 A0F521EB 54C0AB2F : irc oftc
    744D942C D581087C ADDB11D2 E8E9FF59 B46481F3 : irc efnet

Tox
1F9642B1853E58C9DC9A3D0DB1FD2388D7972C26C5AD28D1F4A8C5260BF5654370F2823A480F




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20170128184023.4f6665ba>